Exchange 2007 Service Pack 3 and OWA S/MIME Version Mismatch Fix

In Exchange 2007 SP3, there's a version mismatch between Outlook Web Access S/MIME Control, an Active X control used to provide S/MIME support in OWA. After you install SP3, users with control installed prompted to install latest "control". "During released SP3 build, MSI file was incremented to 8.3.83.2. But, DLL file in MSI retained its […]

In Exchange 2007 SP3, there's a version mismatch between Outlook Web Access S/MIME Control, an Active X control used to provide S/MIME support in OWA. After you install SP3, users with control installed prompted to install latest "control". "During released SP3 build, MSI file was incremented to 8.3.83.2. But, DLL file in MSI retained its 8.3.83.0. The code compares "Version" property of MIMECTL.DLL on user's computer with OWASMIME.MSI on Client Access Server. As a result, when OWA users using IE use S/MIME functionality, they prompted to upgrade S/MIME even when upgraded."

Here're two ways to resolve this issue: If you've Orca.exe utility, change version number of "Microsoft\Exchange Server\ClientAccess\Owa\smime\owasmime.msi file from 8.3.83.2 to 8.3.83.0". OR Download and run PatchMSIProductVersion.vbs script to change version number. Note, remove "_txt" from the file extension before running it. After using any of the above methods, Use IISReset command.

Note: If your users don't use S/MIME control, no action is required. Some discussions in community forums include another possible workaround which suppresses upgrade prompt by using ForceSMIMEClientUpgrade registry key (see How to Manage S/MIME for OWA in Exchange 2007 docs for details). Although this may work under the situation, it's not recommend using this method.

[Source]